#!/usr/bin/env python3
"""
main (GLaDOS)
=============

Description
-----------
Create a bot's instance and manages it.
"""

import logging
import re
from irc_bot_api import commands
from glados_cmnds import GladosV4, GladosV5 


LOG_FORMAT = "%(asctime)s [%(levelname)s] <%(filename)s> %(funcName)s: %(message)s"
logging.basicConfig(format=LOG_FORMAT, level=logging.DEBUG)


glados = commands.Bot(
    ('irc.planet-casio.com', 6697),
    ('127.0.0.1', 5555),
    ["#general", "#glados"],
)

glados.add_commands_pack(GladosV4)
glados.add_commands_pack(GladosV5)


glados.start()
